import 'account.dart';

class User {
  late String firstName, lastName;
  late Account account;

  User({
    this.firstName = "",
    this.lastName = "",
    required this.account,
  });

  User.fromMap(Map<String, dynamic> map) {
    firstName = map['firstName'];
    lastName = map['lastName'];
    account = map['account'];
  }

  Map<String, dynamic> toJson() => {
        'firstName': firstName,
        'lastName': lastName,
        'account': account.toJson()
      };
}
