import 'package:arupo_shop/models/account.dart';
import 'package:arupo_shop/models/jwt.dart';
import 'package:arupo_shop/services/auth_service.dart';

class AuthRepository {
  Future<JWT> signIn(Account account) async {
    var jwt = await AuthService().signIn(account);
    return jwt;
  }

  Future<JWT> refreshToken(String token) async {
    var jwt = await AuthService().refreshToken(token);
    return jwt;
  }
}
