import 'package:arupo_shop/models/buyer.dart';
import 'package:arupo_shop/models/request.dart';
import 'package:arupo_shop/services/request_service.dart';

class RequestRespository {
  Future<String?> saveRequest(Request request) async {
    var location = await RequestService().createRequest(request);
    return location;
  }

  Future<List<Request>> getRequestListByBuyer(Buyer buyer) async {
    var requestList = await RequestService().getRequestListByBuyer(buyer);
    return requestList;
  }

  Future<bool> deleteRequest(Request request) async {
    return await RequestService().deleteRequest(request);
  }
}
