import 'package:arupo_shop/utils/responsive.dart';
import 'package:arupo_shop/widgets/request_list.dart';
import 'package:arupo_shop/widgets/text_bold.dart';
import 'package:flutter/material.dart';

class RequestListPanel extends StatelessWidget {
  const RequestListPanel({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.all(15.0),
      child: Container(
        child: Column(
          children: [
            Center(
              child: Padding(
                padding: const EdgeInsets.all(10.0),
                child: TextBold(
                  text: 'MIS SOLICITUDES',
                ),
              ),
            ),
            SizedBox(
              height: 8,
            ),
            Container(
              height: Responsive.hp(60),
              decoration: BoxDecoration(
                borderRadius: BorderRadius.circular(10),
                color: Colors.white,
              ),
              child: RequestList(),
            )
          ],
        ),
      ),
    );
  }
}
