import 'package:arupo_shop/utils/responsive.dart';
import 'package:arupo_shop/widgets/sign_in_form.dart';
import 'package:arupo_shop/widgets/logo_one.dart';
import 'package:flutter/material.dart';

class SignInScreen extends StatefulWidget {
  const SignInScreen({Key? key}) : super(key: key);

  @override
  _SignInScreenState createState() => _SignInScreenState();
}

class _SignInScreenState extends State<SignInScreen> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: GestureDetector(
          onTap: () {
            FocusScope.of(context).unfocus();
          },
          child: SingleChildScrollView(
            child: Container(
              width: double.infinity,
              height: Responsive.height,
              color: Colors.lime[100],
              child: Stack(
                alignment: Alignment.center,
                children: <Widget>[
                  Positioned(
                    top: Responsive.hp(15),
                    child: LogoOne(
                      width: Responsive.wp(60),
                    ),
                  ),
                  SigInForm(),
                ],
              ),
            ),
          )),
    );
  }
}
