import 'package:arupo_shop/utils/responsive.dart';
import 'package:arupo_shop/widgets/logo_one.dart';
import 'package:arupo_shop/widgets/sign_up_form.dart';

import 'package:flutter/material.dart';

class SignUpScreen extends StatelessWidget {
  const SignUpScreen({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: GestureDetector(
          onTap: () {
            //To avoid rebuild widgets
            FocusManager.instance.primaryFocus!.unfocus();
          },
          child: SingleChildScrollView(
            child: Container(
              width: double.infinity,
              height: Responsive.height,
              color: Colors.lime[100],
              child: Stack(
                alignment: Alignment.center,
                children: <Widget>[
                  Positioned(
                    top: Responsive.hp(8),
                    child: LogoOne(
                      width: Responsive.wp(60),
                    ),
                  ),
                  SignUpForm(),
                ],
              ),
            ),
          )),
    );
  }
}
