import 'package:arupo_shop/models/item.dart';
import 'package:arupo_shop/models/request_detail2.dart';
import 'package:flutter/material.dart';

class RequestDetailViewModel2 with ChangeNotifier {
  late List<RequestDetail2> _items = [];

  int _inEdition = -1;

  List<RequestDetail2> get getItems {
    return _items;
  }

  removeAll() {
    _items = [];
    notifyListeners();
  }

  RequestDetail2 getRequestDetail(int index) {
    return _items[index];
  }

  removeRequestDetail(index) {
    _items.removeAt(index);
    notifyListeners();
  }

  addRequestDetail(Item item, int quantity) {
    RequestDetail2 requestDetail = RequestDetail2(
      id: 0,
      quantity: quantity,
      item: item,
    );
    if (_inEdition > -1) {
      _items.removeAt(_inEdition);
    }
    _items.add(requestDetail);
    setInEdition(-1);
    notifyListeners();
  }

  setInEdition(int index) {
    _inEdition = index;
  }

//borrar
  int getQuantity() {
    return 0;
  }
}
