import 'package:arupo_shop/models/role.dart';
import 'package:arupo_shop/repositories/role_respository.dart';
import 'package:flutter/material.dart';

class RoleViewModel with ChangeNotifier {
  late List<Role> roles = [];
  int roleIdSelected = 1;

  Future<List<Role>> getRoles() async {
    this.roles = await RoleRespository().getRoles();
    //notifyListeners();
    return this.roles;
  }

  selectRole(roleId) {
    this.roleIdSelected = roleId;
    notifyListeners();
  }
}
