class RequestDetail {
  late int id;
  late String description;
  late String value;

  RequestDetail({
    required this.id,
    required this.description,
    required this.value,
  });

  factory RequestDetail.fromJson(Map<String, dynamic> json) {
    return RequestDetail(
      id: json['id'],
      description: json['description'],
      value: json['value'],
    );
  }

  RequestDetail.fromMap(Map<String, dynamic> map) {
    id = map['id'];
    description = map['description'];
    value = map['value'];
  }

  Map<String, dynamic> toJson() => {
        'id': id,
        'description': description,
        'value': value,
      };
}
