import 'package:arupo_shop/utils/responsive.dart';
import 'package:arupo_shop/widgets/item_detail_list.dart';
import 'package:flutter/material.dart';

class ItemDetailPanel extends StatelessWidget {
  const ItemDetailPanel({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        SizedBox(
          height: 8,
        ),
        Container(
          height: Responsive.hp(40),
          decoration: BoxDecoration(
            borderRadius: BorderRadius.circular(10),
            color: Colors.white,
          ),
          child: ItemDetailsList(),
        )
      ],
    );
  }
}
