import 'package:arupo_shop/models/request_detail2.dart';
import 'package:arupo_shop/view_models/request_detaill_view_model2.dart';
import 'package:arupo_shop/widgets/request_detail_widget.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

class ItemList extends StatelessWidget {
  const ItemList({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Consumer<RequestDetailViewModel2>(
      builder: (context, data, index) {
        var items = data.getItems;

        return ListView.builder(
          itemCount: items.length,
          itemBuilder: (context, index) {
            RequestDetail2 item = items[index];
            return RequestDetailWidget(detail: item, index: index);
          },
        );
      },
    );
  }
}
